Package com.fasterxml.jackson.datatype.jdk8

# Class Jdk8TypeModifier

java.lang.Object
com.fasterxml.jackson.databind.type.TypeModifier
com.fasterxml.jackson.datatype.jdk8.Jdk8TypeModifier

All Implemented Interfaces:
  `Serializable`

public class Jdk8TypeModifier extends com.fasterxml.jackson.databind.type.TypeModifier implements Serializable
We need to ensure `Optional` is a `ReferenceType`

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Jdk8TypeModifier()`

## Method Summary

Modifier and Type
Method
Description
`com.fasterxml.jackson.databind.JavaType`
`modifyType(com.fasterxml.jackson.databind.JavaType type, Type jdkType, com.fasterxml.jackson.databind.type.TypeBindings bindings, com.fasterxml.jackson.databind.type.TypeFactory typeFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jdk8TypeModifier

public Jdk8TypeModifier()

## Method Details

### modifyType

public com.fasterxml.jackson.databind.JavaType modifyType(com.fasterxml.jackson.databind.JavaType type, Type jdkType, com.fasterxml.jackson.databind.type.TypeBindings bindings, com.fasterxml.jackson.databind.type.TypeFactory typeFactory)

Specified by:
  `modifyType` in class `com.fasterxml.jackson.databind.type.TypeModifier`